//---------------------------------------------------------------------------
#pragma hdrstop

#include "main.h"
#include "imagehlp.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
  pMap=NULL;
  CleanPtr();
  StatusBar1->SimpleText="Please Select exe File";
}
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
void __fastcall TForm1::OpenFileExecute(TObject *Sender)
{

 if (OpenDialog1->Execute())
 {
   FileName=OpenDialog1->FileName;
   Edit1->Text= FileName;
   StatusBar1->SimpleText="Please Press Execute";
  }

  Execute->Enabled = (FileName!="");
}
//---------------------------------------------------------------------------

void __fastcall TForm1::CloseAppExecute(TObject *Sender)
{
   Close();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ExecuteExecute(TObject *Sender)
{
  int ErrCode;
  IMAGE_NT_HEADERS * myImage;
  DWORD HeaderSum,CheckSum ;

  ULONG DSize;
  bool Result;
  char * FileMapName="totor";
  FileHandle =CreateFile( FileName.c_str(),  // pointer to name of the file
                           GENERIC_READ|GENERIC_WRITE,	// access (read-write) mode
                           FILE_SHARE_READ|FILE_SHARE_WRITE,// share mode
                           NULL,	// pointer to security attributes
                           OPEN_EXISTING,	// how to create
                           FILE_ATTRIBUTE_NORMAL,	// file attributes
                           NULL);

  if  (FileHandle== NULL)
       ErrorOccurs=true;


  else
    {
      FielSize= GetFileSize(FileHandle,&FileSizeHigh);
      FileMApping= CreateFileMapping(
                          FileHandle,	// handle to file to map
                          NULL,	// optional security attributes
                          PAGE_READWRITE,	// protection for mapping object
                          FileSizeHigh,	// high-order 32 bits of object size
                          FielSize,	// low-order 32 bits of object size
                          FileMapName );	// name of file-mapping object

      if(FileMApping==NULL)
               ErrorOccurs=true;
      else
       {
         pMap = MapViewOfFile(FileMApping,
                              FILE_MAP_ALL_ACCESS,
                              0,
                              0,
                              0);
         if  (pMap== NULL)
          {
           ErrorOccurs=true;
          }
         else
         {
          DirectoryEntry=ImageDirectoryEntryToData(
                                                   pMap,
                                                   false,
                                                   IMAGE_DIRECTORY_ENTRY_EXPORT,
                                                   &DSize );
           if(DirectoryEntry== NULL)
           {
            ErrCode=GetLastError();
            ErrorOccurs=true;
           }
           else
           {
             ZeroMemory(DirectoryEntry,DSize);
             myImage= CheckSumMappedFile(
                                         pMap,
                                         FielSize,
                                         &HeaderSum,
                                         &CheckSum);
            myImage->OptionalHeader.DataDirectory[0].VirtualAddress=0L;
            myImage->OptionalHeader.DataDirectory[0].Size=0L;
           }
         }
       }
        Execute->Enabled=false;
        OpenFile->Enabled=false;
        if ((ErrorOccurs)&& ErrCode==0)
         StatusBar1->SimpleText="Exe File Contains no Export Directories";
        else if (ErrorOccurs)
         StatusBar1->SimpleText="Error occurs ....";
        else  StatusBar1->SimpleText="Saved Successfuly ..." ;
         CleanPtr();
         OpenFile->Enabled=true;
        
     }
}
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------


void __fastcall TForm1::CleanPtr()
{
  DirectoryEntry=NULL;
  if (FileMApping)
  {
   CloseHandle(FileMApping);
   FileMApping=NULL;
  }
  if (FileHandle)
  {
   CloseHandle(FileHandle);
   FileHandle=NULL;
  }
  if (pMap)
  {
   UnmapViewOfFile(pMap);
   pMap=NULL;
  }
  ErrorOccurs=false;
  FileName=NULL;
  Edit1->Text="";
   //TODO: Add your source code here
}


//---------------------------------------------------------------------------

void __fastcall TForm1::CancelActionExecute(TObject *Sender)
{
  OpenFile->Enabled=true;
  Execute->Enabled=false;
  CleanPtr();
  StatusBar1->SimpleText="Please Select exe File";

}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormDestroy(TObject *Sender)
{
  CleanPtr();
}
//---------------------------------------------------------------------------

